#!/bin/sh
#
# cat and sort an afs
#

 base=fy2020a


 yy=`echo $yymmdd | cut -c1,2`
 mm=`echo $yymmdd | cut -c3,4`
 dd=`echo $yymmdd | cut -c5,6`

 case $mm in
  06) month=jun; Month=Jun;;
  07) month=jul; Month=Jul;;
  08) month=aug; Month=Aug;;
  09) month=sep; Month=Sep;;
 esac

 echo "yymmdd yy mm dd month Month"
 echo $yymmdd $yy $mm $dd $month $Month

 out_path=/ei/point/rpo_eps3/afs/mex
 #afs_path=/ei/point/DFW/2006/model_basecase/no_zeros
 afs_path=/ei/point/rpo_eps3/afs/mex/no_zeros

# fy2018b 1Apr2014 afs.Mexico_2018_from_EPA2011Platform_1999NEI.RPOlcp, BE 26Mar2014
# fy2012a 27Oct2014 afs.Mexico_2012_from_phaseIII_1999NEI.RPOlcp, ANM 13Mar2014
# fy2012b_MexID 17Jun2015 afs.Mexico_2012_Interpolate_from_EPA2011PlatformV2_MexID.RPOlcp based on 2008 EI in EPA Platform v2.
# fy2018c_MexID 1uJun2015 afs.Mexico_2018_from_EPA2011PlatformV2_MexID.RPOlcp 
# fy2023a 03May2017 afs.Mexico_2023_from_EPA2011PlatformV6.3_MexID.RPOlcp (BE 11Apr2017)
# fy2020a 18Feb2019 afs.Mexico_2020_from_EPA2011PlatformV6.3_MexID_v1.RPOlcp(BE 14Feb2019)

 afs_file1=$afs_path/afs.Mexico_2020_from_EPA2011PlatformV6.3_MexID_v1.RPOlcp_nozeros

 ls -l $afs_file1

 #rm -f  tmp.$yymmdd
 #grep " AD ${yymmdd}[012][0-9] " $afs_file1 > tmp.$yymmdd

 afs_file=afs.mex_$base

 echo
 echo "start sorting"

 sort  $afs_file1  -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.51,1.60 -k 1.62,1.71 -k 1.29,1.38 -k 1.176,1.180 -o $afs_file

 
 echo ''
 wc -l $afs_file1
 wc -l $out_path/$afs_file

exit

